webentwicklung-frage-antwort-db.com.de

Welche Xcode-Version unterstützt iOS 12.2?

Ich habe meine selbst entwickelte Software auf meinem iPhone 7 ausgeführt, auf dem iOS 12.2 ausgeführt wird, wenn eine Warnung angezeigt wurde:

Auf diesem iPhone 7 (Modell 1660, 1778, 1779, 1780) wird iOS 12.2 (16E5201e) ausgeführt, das von dieser Version von Xcode möglicherweise nicht unterstützt wird.

37
Jiayu Li

Sie können die folgenden Schritte ausführen:

  1. Sie müssen "Geräteunterstützungsdateien für iOS" von hier , herunterladen

Und wenn Sie andere "Geräteunterstützungsdateien für iOS" benötigen, können Sie diese von hier herunterladen.

  1. Dünn entpacken,

  2. Gehen Sie dann zu Ihrem Anwendungsordner.

  3. Klicken Sie mit der rechten Maustaste auf die Datei Xcode-Beta.app und wählen Sie Paketinhalt anzeigen.

  4. Navigieren Sie zu Inhalt-> Entwickler-> Plattformen-> iPhoneOS.platform-> DeviceSupport,

  5. Fügen Sie dann die heruntergeladene Datei ein. Andere Ressource .

52
genius

Für Xcode Version 10

  1. Download 12.2 (16E226)

  2. Kopieren Sie das Verzeichnis 12.2 (16E226) in Anwendungen ▸ Xcode.app ▸ Paketinhalt anzeigen ▸ Inhalt ▸ Entwickler ▸ Plattformen ▸ iPhoneOS.platform ▸ DeviceSupport

  3. Beenden Sie Xcode und öffnen Sie es erneut.

=> Update für iOS 12.3 Schritt 1 -> 2 Ordner 12.2 (16E226) kopieren und 12.3 -> 3 umbenennen

26
Giang

Sie benötigen Xcode 10.2, der jetzt im Mac AppStore verfügbar ist und macOS 10.14.4 benötigt. Direkter Download ist derzeit nicht verfügbar.

7
snake302
git clone https://github.com/iGhibli/iOS-DeviceSupport.git
cd iOS-DeviceSupport
Sudo ./deploy.py -t /Applications/Xcode.app

Weitere Details: https://github.com/iGhibli/iOS-DeviceSupport

5
blcsntb

Wenn Sie bereits Ordner aus neueren Versionen wie unten haben, können Sie häufig nur den neuesten duplizieren und ihn in die von Xcode gewünschte Version umbenennen.

(Finder illustration

1
hardanger

Abhängig von Ihrem Anwendungsfall kann die Antwort unterschiedlich sein.

Wenn Sie DEBUGGING (Haltepunkt, Anmelden an der Konsole ...) auf Ihrem realen Gerät iOS 12.2 möchten, müssen Sie Xcode 10.2 haben (es ist derzeit Beta).

Wenn Sie Ihre App auf Ihrem Gerät ausführen möchten, können Sie Xcode 10.1 verwenden (obwohl sogar Xcode 9 dies kann). Sie können dies mit einem Beta-Distributionsdienst wie TestFlight, Fabric ... tun. Oder mit Xcode können Sie Ihre App archivieren und dann die .app-Datei per Drag & Drop auf Ihr Gerät ziehen.

0
qtngo

Xcode 10.2 Beta 3 (aktuelle Version)

Hier zum Download verfügbar:

https://developer.Apple.com/download/

0
Daniel